/*!
 * Moonkake v3.0.5
 *
 * http://moonkake.ru
 */

(function($) {

/* EASING ANIMATION
-------------------------------------------------- */

$.extend(
  $.easing, {
    easeOutExpo: function (x, t, b, c, d) {return (t==d) ? b+c : c * (-Math.pow(2, -10 * t/d) + 1) + b;},
    easeInOutCubic: function (x, t, b, c, d) {if ((t/=d/2) < 1) return c/2*t*t*t + b; return c/2*((t-=2)*t*t + 2) + b;}
  }
);

/* VAR
-------------------------------------------------- */

var $document = $(document);
var $window = $(window);

var isMobile = /Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent);

var SPEED = 500;
var TIMEOUT = 5000;
var FX = (isMobile) ? 'linear' : 'easeInOutCubic';
var OFFSET = 0;

/* FUNCTION
-------------------------------------------------- */

/* Scroll page to element */

function scrollPageTo(object, offset, callback) {
  $('html, body').stop().animate({
    scrollTop: $(object).offset().top - ( ( typeof( offset ) == 'number' ) ? offset : 0 )
  }, SPEED, FX, function() {
    if ( $(this)[0].nodeName == 'HTML' ) {
      if ( typeof( callback ) == 'function' ) {
        callback();
      };
    };
  });
};

/* Change opacity on scroll */

function changeOpacity(object, fade, ratio) {
  var ratio = ( typeof( ratio ) == 'number' ) ? ratio : 2;
  var opacity = ( fade == 'fadeIn' ) ? ( 1 - $document.scrollTop() / ($window.height() / ratio) ) : ( $document.scrollTop() / ($window.height() / ratio) - 1 );

  if ( opacity >= 0 || opacity <= 1 ) {
    $(object).css({
      opacity: ( opacity <= 0 ) ? 0 : opacity,
      display: ( opacity <= 0 ) ? 'none' : 'block'
    });
  };
};

/* Return screen index */

function returnScreenIndex(object, offset) {
  var index = 0;

  $(object).each(function() {
    var $self = $(this);

    if ( $document.scrollTop() >= $self.offset().top - offset ) {
      index = $self.index();
    };

  });

  return index;
};

/* FANCYBOX
-------------------------------------------------- */

if ( $.fn.fancybox ) {

  $('.js-p a[rel="gallery"], a[rel="gallery"].js-p, .js-p a, a.js-p').fancybox({
    padding: 0,
    wrapCSS: '-fancybox-custom',
    helpers: {
      overlay: {
        locked: false
      },
      thumbs: {
        width: 50,
        height: 50
      }
    }
  });

  $('.js-v a, a.js-v').fancybox({
    padding: 0,
    wrapCSS: '-fancybox-custom',
    helpers: {
      overlay: {
        locked: false
      },
      media: {}
    }
  });

  $('.js-w a, a.js-w').fancybox({
    padding: 0,
    wrapCSS: '-fancybox-custom',
    minHeight: 0,
    helpers: {
      overlay: {
        locked: false
      }
    }
  });

};

/* CAROUSEL
-------------------------------------------------- */

$('.-carousel-tile').carousel({
  step: 1,
  offset: 10,
  fx: 'easeInOutCubic'
});
/*
$('.-carousel-media').carousel({
  step: 1,
  offset: 0,
  fx: 'easeInOutCubic'
});
  */
$('.-carousel-media:not(.-photo-video)').carousel({
  step: 1,
  offset: 0,
  fx: 'easeInOutCubic'
});

$('.-carousel-media.-photo-video').carousel({
  step: 1,
  offset: 32,
  fx: 'easeInOutCubic'
});

$('.-carousel-main').carousel({
  step: 1,
  offset: 32,
  fx: 'easeInOutCubic'
});


/* SLIDESHOW
-------------------------------------------------- */

$('.slideshow').slideshow({
  arrows: false
});

/* NAVIGATION
-------------------------------------------------- */

$('.toggle-navigation').on('click', function() {
  $('.-navigation-top').toggleClass('-dropped');
  $('#datepicker').hide();
});

function removeDropped() {
  if ( $document.width() > 1024 ) $('.-navigation-top').removeClass('-dropped');
  $('.-navigation-top').children('.list__item').each(function() {
    if ($(this).position().top < 30) {
      $(this).find('.dropdown').addClass('top__top_link');
    }
  });
};

/* CALENDAR
-------------------------------------------------- */

$.datepicker.regional['ru'] = {
  closeText: '',
  prevText: '&#x3c;',
  nextText: '&#x3e;',
  currentText: '',
  monthNames: ['','','','','','','','','','','',''],
  monthNamesShort: ['','','','','','','','','','','',''],
  dayNames: ['','','','','','',''],
  dayNamesShort: ['','','','','','',''],
  dayNamesMin: ['','','','','','',''],
  weekHeader: '',
  dateFormat: 'dd.mm.yy',
  firstDay: 1,
  isRTL: false,
  showMonthAfterYear: false,
  yearSuffix: ''
};

$.datepicker.setDefaults($.datepicker.regional['ru']);
/*
function initChosen() {
  setTimeout(function() {
$('.ui-datepicker-month').chosen({
  disable_search: true,
  width: 170
});

$('.ui-datepicker-year').chosen({
  disable_search: true,
  width: 110
});

  }, 10);
};*/
/*
$('.datepicker').datepicker({
  changeMonth: true,
  changeYear: true,
  onSelect: function() {
    $('.datepicker').fadeOut();
    initChosen();
  },
  onChangeMonthYear: function() {
    initChosen();
  }
});
*/
$('.datepicker-trigger').on('click', function() {
  var $datepicker = $('.datepicker');
  if ( $(this).next($datepicker).is(':hidden') && $datepicker.is(':visible') ) {
    $datepicker.fadeOut();
  };

  if ( $(this).next($datepicker).is(':visible') ) {
    $(this).next($datepicker).fadeOut();
  } else {
    $(this).next($datepicker).fadeIn();
  };

});

/* CHOSEN
-------------------------------------------------- */
/*
$('.ui-datepicker-month').chosen({
  disable_search: true,
  width: 170
});

$('.ui-datepicker-year').chosen({
  disable_search: true,
  width: 110
});

$('.chosen-select').chosen({
  disable_search: true
});
*/
/* SCROLL TOP
-------------------------------------------------- */

$('.scroll-top').on('click', function() {
  scrollPageTo( $('body') );
  return false;
});

$window.scroll(function() {
  if ( $document.scrollTop() >= $('.footer').offset().top - $window.height()) {
    $('.scroll-top').css({bottom: ($document.scrollTop() + $window.height()) - $('.footer').offset().top + 50 + 'px'});
  } else {
    $('.scroll-top').css({bottom: '50px'});
  };

  changeOpacity($('.scroll-top'), 'fadeOut', 4);
});

/* INITIALIZATION
-------------------------------------------------- */
/*$('#searchform select').chosen({
  disable_search: true
});*/

/* On DOM ready */

$document.ready(function() {
  if ( isMobile ) {
    $('html').removeClass('desktop').addClass('mobile');
  };

  removeDropped();
  changeOpacity($('.scroll-top'), 'fadeOut', 4);

  $('.-hide-on-load').hide();
});

/* On document load */

$window.load(function() {
  MaSha.instance = new MaSha();
});

/* On document scroll */

$window.scroll(function() {

});

/* On document resize */

$window.resize(function() {
  removeDropped();
});

})(jQuery);
